--
--  Copyright (C) 2001 - 2005 YourInstitution
--
--  This file is part of dotLRN.
--
--  dotLRN is free software; you can redistribute it and/or modify it under the
--  terms of the GNU General Public License as published by the Free Software
--  Foundation; either version 2 of the License, or (at your option) any later
--  version.
--
--  dotLRN is distributed in the hope that it will be useful, but WITHOUT ANY
--  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
--  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
--  details.
--


--
-- The foo applet for dotLRN
--
-- (YourName) test@test.com
--
-- yyyy-mm-dd
--


-- create the implementation

select acs_sc_impl__new (
		'dotlrn_applet',
		'dotlrn_foo',
		'dotlrn_foo'
);


-- add all the hooks

-- GetPrettyName
select acs_sc_impl_alias__new (
	       'dotlrn_applet',
	       'dotlrn_foo',
	       'GetPrettyName',
	       'dotlrn_foo::get_pretty_name',
	       'TCL'
);

-- AddApplet
select acs_sc_impl_alias__new (
	       'dotlrn_applet',
	       'dotlrn_foo',
	       'AddApplet',
	       'dotlrn_foo::add_applet',
	       'TCL'
);

-- RemoveApplet
select acs_sc_impl_alias__new (
	       'dotlrn_applet',
	       'dotlrn_foo',
	       'RemoveApplet',
	       'dotlrn_foo::remove_applet',
	       'TCL'
);

-- AddAppletToCommunity
select acs_sc_impl_alias__new (
	       'dotlrn_applet',
	       'dotlrn_foo',
	       'AddAppletToCommunity',
	       'dotlrn_foo::add_applet_to_community',
	       'TCL'
);

-- RemoveAppletFromCommunity
select acs_sc_impl_alias__new (
	       'dotlrn_applet',
	       'dotlrn_foo',
	       'RemoveAppletFromCommunity',
	       'dotlrn_foo::remove_applet_from_community',
	       'TCL'
);

-- AddUser
select acs_sc_impl_alias__new (
	       'dotlrn_applet',
	       'dotlrn_foo',
	       'AddUser',
	       'dotlrn_foo::add_user',
	       'TCL'
);

-- RemoveUser
select acs_sc_impl_alias__new (
	       'dotlrn_applet',
	       'dotlrn_foo',
	       'RemoveUser',
	       'dotlrn_foo::remove_user',
	       'TCL'
);

-- AddUserToCommunity
select acs_sc_impl_alias__new (
	       'dotlrn_applet',
	       'dotlrn_foo',
	       'AddUserToCommunity',
	       'dotlrn_foo::add_user_to_community',
	       'TCL'
);

-- RemoveUserFromCommunity
select acs_sc_impl_alias__new (
	       'dotlrn_applet',
	       'dotlrn_foo',
	       'RemoveUserFromCommunity',
	       'dotlrn_foo::remove_user_from_community',
	       'TCL'
);

-- AddPortlet
select acs_sc_impl_alias__new (
        'dotlrn_applet',
        'dotlrn_foo',
        'AddPortlet',
        'dotlrn_foo::add_portlet',
        'TCL'
);

-- RemovePortlet
select acs_sc_impl_alias__new (
        'dotlrn_applet',
        'dotlrn_foo',
        'RemovePortlet',
        'dotlrn_foo::remove_portlet',
        'TCL'
);

-- Clone
select acs_sc_impl_alias__new (
        'dotlrn_applet',
        'dotlrn_foo',
        'Clone',
        'dotlrn_foo::clone',
        'TCL'
);

select acs_sc_impl_alias__new (
        'dotlrn_applet',
        'dotlrn_foo',
        'ChangeEventHandler',
        'dotlrn_foo::change_event_handler',
        'TCL'
);

-- Add the binding
select acs_sc_binding__new (
	    'dotlrn_applet',
	    'dotlrn_foo'
);